Development :  K-Meleon Forum
K-Meleon development related discussions. 
Gecko 1.9
Posted by: playdayz
Date: October 21, 2007 10:14PM

Would it be possible or feasible or worth the trouble to build a version of K-Meleon with Gecko 1.9? It seems to me very much faster than 1.8 in rendering pages (in Firefox 3a9), but still slow like Firefox 2 in starting up and gui. I am afraid I am asking if this would be worthwhile for someone else to do since I can't. thanks.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: guenter
Date: October 21, 2007 10:48PM

AFAIK No manpower or plans for that.

p. s. It is IMHO more than changing the GRE. Firefox 3 building uses another compiler. The change would also include opting for Toolkit - see SeaMonkey 2.x test builds and comments on that. K-Meleon is based on the SeaMonkey branch. It would also leave behind all K-Meleon users that run Windows95/98/ME.

You are possibly right about more speed.



Edited 1 time(s). Last edit at 10/21/2007 10:49PM by guenter.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: D555
Date: November 07, 2007 02:09PM

Yes, Gecko 1.9 uses Cairo rendering base... and only for WinXP and more ...
But I really want K-Meleon on Gecko 1.9 too !!!
It's pretty much softer for eyes ))).

Options: ReplyQuote
Re: Gecko 1.9
Posted by: Hao Jiang
Date: November 08, 2007 10:55AM

I was trying working on it. However since 1.9 discontinued wallet and changed a lot in several modules, I 'm afraid it needs a lot more time than expected to have K-Meleon support it.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: BenoitRen
Date: November 10, 2007 10:21PM

Actually, Gecko 1.9 can be built on MSVC 6.0. You just need a couple patches by Neil that you can find somewhere on devmo.

Windows 2000 is also able to run Gecko 1.9, by the way.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: guenter
Date: November 11, 2007 03:23AM

AFAIK PPL K-Meleon GRE is build with MSVC 7.1.

BTW. AFAIK all NT based systems should be able run Gecko 1.9.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: D555
Date: December 06, 2007 10:44PM

Is it so hard to compile Gecko1.9 based K-Meleon by any msvcp(from 7 to 8) from sources ... like SeaMonkey2.0a1 do ?



Edited 1 time(s). Last edit at 12/07/2007 09:35PM by D555.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: BenoitRen
Date: December 08, 2007 08:13AM

Quote

AFAIK all NT based systems should be able run Gecko 1.9.
Nope. Not NT4. And certainly not NT 3.51.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: sergio
Date: December 14, 2007 07:43PM

Quote
D555
Is it so hard to compile Gecko1.9 based K-Meleon by any msvcp(from 7 to 8) from sources ... like SeaMonkey2.0a1 do ?
As far as I know the most part of a code of interface SeaMonkey 2.0a1 rewritten for compatibility with Gecko 1.9 Engine.

hmmm... what will we do when firefox 3.0 is released and gecko 1.8 development will stopped in the winter/spring of 2008?

Options: ReplyQuote
Re: Gecko 1.9
Posted by: D555
Date: December 15, 2007 06:11AM

Quote
sergio
hmmm... what will we do when firefox 3.0 is released and gecko 1.8 development will stopped in the winter/spring of 2008?

Good question ...

-Wanting K-Meleon on fast Gecko 1.9 ))).

Options: ReplyQuote
Re: Gecko 1.9
Posted by: BenoitRen
Date: December 16, 2007 06:52AM

Quote

As far as I know the most part of a code of interface SeaMonkey 2.0a1 rewritten for compatibility with Gecko 1.9 Engine.
No, it's being rewritten to be compatible with the toolkit librairies. Previous versions used the XPFE codebase, which hasn't been maintained anymore since a couple years.

Firefox, Thunderbird and most other Gecko-based applications use toolkit. By switching SeaMonkey to toolkit, they can profit from that codebase.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: D555
Date: December 23, 2007 03:54PM

Very unhappy about Gecko1.9 not so close for KM ... (((

Options: ReplyQuote
Re: Gecko 1.9
Posted by: Fred
Date: December 23, 2007 11:20PM

The only thing that matters, is that Gecko1.9 will
be available when the support for Firefox 2 will end.
That is a matter of survival for the K-Meleon browser.
So do not urge our developers too much, because they
also have other things to do in their personal life.
K-Meleon works well as it is at the moment.
Happy Christmas to everybody.

Fred

Options: ReplyQuote
Re: Gecko 1.9
Posted by: noel-pg2
Date: January 10, 2008 03:20AM

Quote
D555
Very unhappy about Gecko1.9 not so close for KM ... (((

you're deluded, D555. so what if Kmeleon isn't close to having Gecko 1.9! it'll be several months or even a year before that will actually happen. Don't "push the envelope" so to speak. gecko 1.9 will be implemented into Kmeleon, eventually. it just takes time and patience; the two intangible things you seem to greatly lack.



Edited 1 time(s). Last edit at 01/10/2008 03:22AM by noel-pg2.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: ndebord
Date: January 11, 2008 12:22AM

Fred,

Much as I wanted KM to continue to work in W98se, I knew there would come a day when that would be impossible as the FireFox developers pulled the plug on the old toolkit when they took over things from the Mozilla (aka Seamonkey) guys.

It's all moot for me now as my old W98se laptop kicked the bucket and I'm now using a Thinkpad T40 with XP Pro (old dogs can learn new tricks!... occasionally!).

I'm more concerned about learning the new macro language which has, if not totally baffled me, given me more of a learning curve than I wanted.

Anyhow, happy new year to you and yours and much thanks for everything you've provided for all of us over the years.

N

Options: ReplyQuote
Re: Gecko 1.9
Posted by: ndebord
Date: January 11, 2008 12:54AM

D555,

FF 3 is still in beta stage. It usually takes all the various Gecko browsers some time thereafter the gold release to incorporate the changes into their browsers (Flock, KM, etc.).

N

Options: ReplyQuote
Re: Gecko 1.9
Posted by: Fred
Date: January 11, 2008 09:32AM

@ ndebord

Thank you for your good wishes, the same to you.
My contribution is not that big. Guenter for example
gives answers to more questions of users nowadays than
I do, and is very helpful.
Regards

Fred

Options: ReplyQuote
Re: Gecko 1.9
Posted by: Hao Jiang
Date: February 17, 2008 12:41AM

As far as I know, there is already a Gecko 1.9 version of K-Meleon 1.5a2 being tested. Although it's not released yet, I want to mention that it's fairly stable although having problem on exit.

So we won't wait too long to see a Gecko 1.9 K-Meleon released in the future.

Hao

Options: ReplyQuote
Re: Gecko 1.9
Posted by: Fred
Date: February 17, 2008 06:09AM

I am very glad to hear that. This is a very important step.
Regards
Fred

Options: ReplyQuote
Re: Gecko 1.9
Posted by: D555
Date: February 18, 2008 05:45PM

Great news! Start to prepare for K-Meleon world domination ;) .

Options: ReplyQuote
Re: Gecko 1.9
Posted by: D555
Date: February 25, 2008 10:23PM

Hao Jiang, thanks for a good news too.Will wait that version for testing for us!
I've got one idea for kmeleon, an idea about compatibility FF extensions, but seems, only you could help to realize it ...
The meaning in creating interface (or plugin) which will display(or emulate) FF GUI for installed FF extensions...(that could be possible to use It in KM)
And possibility DragAndDrop elements fron that interface to KM interface(so, FF extensions wilo be translating almost automatic way).
Thanks at advance.



Edited 2 time(s). Last edit at 02/25/2008 10:28PM by D555.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: nel
Date: August 13, 2008 08:19PM

hola, ¿porque k-meleon con gecko 1.9 no funcionaría en win nt 4, este tiene agp y todo? Pregunto porque ese es el que tengo en mi casa por lo rapido, en esa vieja pc. Porque gecko es portable ¿no?. Tanbien ¿porque no funcionaría tampoco en win9x?
Disculpen que pregunte en español, es que leo un poco el ingles pero no lo escribo.

Options: ReplyQuote
Re: Gecko 1.9
Posted by: kko
Date: August 13, 2008 08:45PM

Gecko 1.9 requires at least Windows 2000: http://www.mozilla.com/en-US/firefox/system-requirements.html

Options: ReplyQuote
Re: Gecko 1.9
Posted by: desga2
Date: August 13, 2008 10:14PM

Ralmente el Gecko 1.9 si funcionaría en win9x y nt4 si actualizas las librerías necesarias.
Ya existen algunos proyectos, no oficiales, en algunos foros de gente que ha realizado paquetes de actualización de las librerías de win9x para que te permitan ejecutar Firefox3 (Gecko 1.9). Pero ignoro si hay tal cosa para nt4 o si éste es compatible para nt4, cosa que dudo.

K-Meleon in Spanish



Edited 1 time(s). Last edit at 08/13/2008 10:15PM by desga2.

Options: ReplyQuote


K-Meleon forum is powered by Phorum.